\version "2.8.1"

%{
ISSUES:
Placement of header:poet - center seems to be left margin. Any way to move it to the right?
Barline || and repeat: One cancels out the other. I would like "||" at end of bar 12, and then "|:" at start
	of bar 13
Slur at beginning of second alternative of repeat: Lily can't make it (see log). \repeatSlur like \repeatTie?
%}

%#(set-global-staff-size 18)
#(ly:set-option (quote no-point-and-click))

\paper {
	line-width = 19.0 \cm
	top-margin = 1.5 \cm
	bottom-margin = 1.5 \cm
	left-margin = 1.0 \cm
}

melody = \relative c' {
    \key g \major
    \time 2/2
    \override Score.VerticalAxisGroup #'remove-first = ##t

	R1*4
	r8. e16 g8. d16 e8. b16 d8. e16
	g4 g g8 b4.
	r8 g4 d8 e8. b16 d8. e16
	g8.[ a16]\noBeam \times 2/3 { b8 a b } g8 a4.
	b8 b4 b8 g4 g
	b b a b
	g8 g4. ~ g2 ~
	g4 r4 r2 	%end of verse
	\repeat volta 2 {
	b4 c c b
	d4 b g e
	}
	\alternative { {g2. r4 R1} {g1 ~ g2 ~ g4 r4} }
}

lyric = \lyrics {
	The man who on- ly lives for mak- ing mon- ey
	Lives a life that is- n't nec- es- sa- ri- ly sun- ny.
	Like- wise the man who
	all if you can get it. __
	Hol- ding hands at
	Won't you tell me how? how? __
}

upperOne = \relative c'' {
    \key g \major
    \time 2/2
    \clef violin
    \voiceOne

	b4( c) c( b8. c16)
	a4( b) b8( a4 b8)
	g1 ~ 
	g
	c8.\rest e,16( g8. d16 e8. b16 d8. e16
	g4 g g8 b4.)
	r8 <b, g'>4( d8 e8. b16 d8. e16
	g8.[ a16]\noBeam \times 2/3 { b8 a b } g8 a4.)
	<dis, g b>8 <dis g b>4 <dis g b>8 <b e g>4 <b e g>
	b'4 b a b
	g8 g4. ~ g2 ~ g8.
	b,16( d8. e16 <b d g>4 <c e a>)
	b'4( c) c( b)
	<e,! g? b d>4( <c e g b> <a c e g> <bes c e>
	<b! d g>8.) a''16( g8. e16 d8. b16 a8. g16)
	\acciaccatura { fis[ g] } fis8. e16 fis8. gis16 ais2 
	<b, d g>4) <cis e! a>( <des g c!> <c fis! bes> <b! e a>2) <g'' g'>4-. r4 

}

upperTwo = \relative c'' {
    \key g \major
    \time 2/2
    \clef violin
    \voiceTwo

	<dis, g>2( <d fis>)
	<cis f>( <c e>)
	b8.\rest b16( <d e>8. b16) b8.\rest b16( <d e>8. b16)
	b8.\rest b16( <d e>8. b16) b8.\rest b16( <d e>8. b16)
	s1 
	d4( cis c2)
	s1
	d2 c
	s1
	<c! e>2 <c es>4 <c d>
	r8. b16( <d e!>8. b16) r8. b16( <d e>8. b16)
	s1
	<dis g>2 <d fis>
	s1*5

}

lowerOne = \relative c {
    \key g \major
    \time 2/2
    \clef bass
    \voiceThree

	< a a' >2( < e' gis >)
	< a, g' >( < d fis! >)
	g,4 e'4\rest d,4 e'4\rest
	g,4 e'4\rest d,4 e'4\rest
	g,4( d' d, d')
	e,( e') a,( <d fis>)
	g,( d' d, d')
	e,( e') a,( <d fis>)
	b2( e)
     %10
	<a, g'> <d g>4 <d fis?>
	g,4 d'4\rest d,4 d'4\rest
	g,4( d' e fis)
	<b, a'>2( <e gis>)
	a,4 r4 d, d'
	g, <d' g b> e, <e' b d>
	<e c'>1
	<g, d'>4 g'8.( f16 es4 d!)
	<g, d'>2( <g, g'>4)_. r4
}

lowerTwo = \relative c {
    \key g \major
    \time 2/2
    \clef bass
    \voiceFour

	s1*13
	s1*2
	a'2( gis)
	s1*2
}

dynamics = {
   	s1-\mf
	s1*3
	s1 \p
	s1*7
	s8_\markup { \dynamic p - \dynamic mf  } s8 s4 s2
	s4\f s4 s2
	s8. s16\mf s4 s2
	s1*2
	s2 s4\mf s4
}

parameters = {
	\override Score.MetronomeMark   #'transparent = ##t
	\override Score.Hairpin  	#'padding = #5
	\override Score.DynamicText  	#'padding = #5
	\override Score.RehearsalMark  	#'padding = #3.5
	\override Score.RehearsalMark	#'self-alignment-X = #LEFT
}

barlines =  {
	\mark \markup { \bold {Moderato}
	}
	s1*4 \bar "||"
	s1*8 \mark \markup {Refrain: \italic (smoothly) }
	s1*6 \bar "|."
}

spacing = {
	s1*4 \break
	s1*3 \break
	s1*5 \break
	s1*2 \break
}

\book {
	
	\header {

	title = \markup { \hspace #0 \raise #10.0 "A NICE TITLE FOR A NICE SONG"  }
	composer = \markup \center-align { "Music by" "THIS COMPOSER" }
	poet = \markup \center-align { "Words by" "MORE OF THAT POET" }

}

	\score {
		\simultaneous {
		\new Staff <<
			\parameters
			\spacing
			\barlines
			\new Voice = mel { \melody }
			\new Lyrics \lyricsto mel \lyric
		>>

		\new PianoStaff <<
%			\set PianoStaff.instrument = \markup { "Piano" \hspace #3.0 }
			\new Staff = rightHand 
				<<
					\context Voice = rhA { \upperOne }
					\context Voice = rhB { \upperTwo }
				>>
			
			\new Dynamics = "dynamics" \dynamics
			\new Staff = leftHand
			
				<<
					\context Voice = lhA { \lowerOne }
					\context Voice = lhB { \lowerTwo }
				>>
			
		>>
	}
	\layout {
		
			\context {  \RemoveEmptyStaffContext 
		}
			\context {
			\type "Engraver_group"
			\name Dynamics
			\consists "Output_property_engraver"
     
			minimumVerticalExtent = #'(-1 . 1)
			\consists "Script_engraver"
			\consists "Dynamic_engraver"
			\consists "Text_engraver"
     
			\override TextScript #'font-shape = #'italic
			\override TextScript #'extra-offset = #'(0 . 2.0)
			\override DynamicText #'extra-offset = #'(0 . 2.5)
			\override Hairpin #'extra-offset = #'(0 . 2.5)
     
			\consists "Skip_event_swallow_translator"
     
			\consists "Axis_group_engraver"
		}
		\context {
			\PianoStaff
			\accepts Dynamics
			\override VerticalAlignment #'forced-distance = #6.5
		}
		\context {
			\Staff
			\override SeparationItem #'padding = #0.3
		}
	}
	}
}
